<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="install.dice" version="1.0" date="2008-10-29" maxthreads="1">


  <!--
    Installs DiCE
  -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <properties>
    
    <property key="dice.registry.key" value="HKEY_LOCAL_MACHINE\Software\PassThruSupport.04.04\SETEK - DiCE"/>
    <property key="dice.registry.backup.fullpath" value="${target.root}\dicebackup.reg"/>
  </properties>

  <tasks>

   
    <task name="backup.dice.registry" condition="${release}=VIDA2009A" typename="@RegistryBackup">
      <description>
        Backups the dice registry settings. This task apply only to VIDA2009A since
        we changed to DICE software in this release. Also remove restore.dice.registry
        when removing this one!
      </description>
      <parameters>
        <parameter name="key" value="${dice.registry.key}"/>
        <parameter name="backup.file.fullpath" value="${dice.registry.backup.fullpath}"/>
      </parameters>
    </task>

    <!--
    <task name="uninstall">
      <dependencies list="backup.dice.registry"/>
      <subtasks filename="vida.uninstall.dice.xml"/>
    </task>

    <task name="add.verisign.cert">
      <dependencies list="uninstall"/>
      <subtasks filename="vida.dice.addcert.xml">
        <parameters>
          <parameter name="cert" value="verisign.cer"/>
        </parameters>
      </subtasks>
    </task>

    <task name="add.vcc.cert">
      <dependencies list="add.verisign.cert"/>
      <subtasks filename="vida.dice.addcert.xml">
        <parameters>
          <parameter name="cert" value="vcc.cer"/>
        </parameters>
      </subtasks>
    </task>
    -->

    <task name="run.installer">
      <dependencies list="add.vcc.cert"/>
      <subtasks filename="vida.run.dice.installer.xml"/>
    </task>
    
    

    <task name="restore.dice.registry" condition="${release}=VIDA2009A" typename="@RegistryRestore">
      <description>
        The backup of the registry will be done during install of DiCE
        Restores the dice registry settings. This task apply only to VIDA2009A since
        we changed to DICE software in this release.
      </description>
      <dependencies list="run.installer,backup.dice.registry"/>
      <parameters>
        <parameter name="registry.file.fullpath" value="${dice.registry.backup.fullpath}"/>
      </parameters>
    </task>
    
    
  </tasks>
</taskrunner>